Bug 1232586 - Windows 10 Guest OS Support - UI
Summary: Windows 10 Guest OS Support - UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ovirt-3.6.0-rc3
: 3.6.0
Assignee: jniederm
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On:
Blocks: 1232559 1238303 1272924
TreeView+ depends on / blocked
 
Reported: 2015-06-17 06:16 UTC by Michal Skrivanek
Modified: 2016-03-09 21:08 UTC (History)
13 users (show)

Fixed In Version: 3.6.0-4 alpha3
Doc Type: Enhancement
Doc Text:
Windows 10 is now supported as a guest operating system (32 and 64 bit).
Clone Of: 1232559
: 1238303 1272924 (view as bug list)
Environment:
Last Closed: 2016-03-09 21:08:37 UTC
oVirt Team: Virt


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 42492 master MERGED core: Windows 10 Guest OS Support - UI Never

Description Michal Skrivanek 2015-06-17 06:16:30 UTC
add Windows 10 to OS Type selection and a default icon

Comment 1 jniederm 2015-07-08 15:42:31 UTC
# test plan outline

## icons

1. for each os in [win10, win10x64]
  1. create vm and set os
  2. check icon in 
    1. webadmin edit vm dialog icon tab
    2. userportal basic listing
    3. userporlat extended listing

## sysprep

1. for each os in [win10, win10x64]
  1. Create vm, set os and install win 10 in it
  2. Seal windows using sysprep
  3. Run Once vm
    1. Boot options > Attach flopp: [sysprep]
    2. Fill in Init run options
  4. Verify that init run options are reflected in installed system

Comment 2 Lev Veyde 2015-08-10 14:53:05 UTC
(In reply to jniederm from comment #1)
> # test plan outline
> 
> ## icons
> 
> 1. for each os in [win10, win10x64]
>   1. create vm and set os
>   2. check icon in 
>     1. webadmin edit vm dialog icon tab
>     2. userportal basic listing
>     3. userporlat extended listing
> 
> ## sysprep
> 
> 1. for each os in [win10, win10x64]
>   1. Create vm, set os and install win 10 in it
>   2. Seal windows using sysprep
>   3. Run Once vm
>     1. Boot options > Attach flopp: [sysprep]
>     2. Fill in Init run options
>   4. Verify that init run options are reflected in installed system

Icons seems to work fine, but Sysprep'ing doesn't seem to work for me.

Comment 3 Lev Veyde 2015-08-10 16:13:22 UTC
(In reply to Lev Veyde from comment #2)
> (In reply to jniederm from comment #1)
> > # test plan outline
> > 
> > ## icons
> > 
> > 1. for each os in [win10, win10x64]
> >   1. create vm and set os
> >   2. check icon in 
> >     1. webadmin edit vm dialog icon tab
> >     2. userportal basic listing
> >     3. userporlat extended listing
> > 
> > ## sysprep
> > 
> > 1. for each os in [win10, win10x64]
> >   1. Create vm, set os and install win 10 in it
> >   2. Seal windows using sysprep
> >   3. Run Once vm
> >     1. Boot options > Attach flopp: [sysprep]
> >     2. Fill in Init run options
> >   4. Verify that init run options are reflected in installed system
> 
> Icons seems to work fine, but Sysprep'ing doesn't seem to work for me.

OK, sysprep is working OK too.

Comment 5 Nisim Simsolo 2015-10-22 06:43:16 UTC
Verified: 
rhevm-3.6.0.1-0.1.el6
vdsm-4.17.9-1.el7ev.noarch
sanlock-3.2.4-1.el7.x86_64
qemu-kvm-rhev-2.3.0-31.el7.x86_64
libvirt-client-1.2.17-5.el7.x86_64

Verification scenario: 
sysprep: 
1. Seal VM. 
2. Run once VM with [sysprep] floppy attached and set initial run sysprep configuration (hostname, organization name, timezone and costume locale).
   Verify VM is reflected with sysprep configuration.
3. Power off VM and rerun VM (not in run once mode).
   Verify sysprep configuration kept.

Icon: 
1. from webadmin > edit VM > icon tab, verify windows 10 icon is displayed by default.
2. Create user with supruser role and login to user portal.
   basic tab - Verify windows 10 icon displayed for windows 10 VM.
   Extended tab - Verify windows 10 icon displayed for windows 10 VM.

Test case added to Polarion (see external tracker).

Comment 6 Nisim Simsolo 2015-11-08 13:32:25 UTC
Engine verification build: rhevm-3.6.0.3-0.1.el6 (3.6.0-16)

Comment 9 errata-xmlrpc 2016-03-09 21:08:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.